Bug 211778 - Orphaned directory tree left over after updating "firefox"
Orphaned directory tree left over after updating "firefox"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-22 12:52 EDT by Joachim Frieben
Modified: 2013-01-09 23:06 EST (History)
3 users (show)

See Also:
Fixed In Version: beagle-0.2.10-5.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-23 17:05:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2006-10-22 12:52:42 EDT
Description of problem:
After updating the "firefox" package to the "2.0" preview package
by means of the "rpm -U ..", an orphaned directory tree
"/usr/lib/firefox-1.5.0.7/extensions/\{fda00e13-8c62-4f63-9d19-d168115b11ca}"
plus contents is left over.

Version-Release number of selected component (if applicable):
firefox-1.5.0.7-7

How reproducible:
Always

Steps to Reproduce:
1. Install "Fedora Core" from the "rawhide" tree.
2. Install "firefox-2.0" packages by C. Aillon by means of "rpm".
  
Actual results:
Notice that "/usr/lib/firefox-1.5.0.7/*" is still around in addition
to "/usr/lib/firefox-2.0/*".

Expected results:
There should only be a "/usr/lib/firefox-2.0/*" tree present.

Additional info:
The same already happened after updating from version "1.5.0.6" to
version "1.5.0.7".
Comment 1 Christopher Aillon 2006-10-23 11:55:00 EDT
That is a bug in beagle improperly installing it's extension.  This was fixed in
time for FC6, but it did not get picked up.
Comment 2 Christopher Aillon 2006-10-23 17:05:34 EDT
This is fixed in beagle-0.2.10-5.fc6 which will be available as an FC6 update.

Note You need to log in before you can comment on or make changes to this bug.